POST /shared/playlists/{token}/comments

Add a review comment as a guest. Requires guest_id, task_id, task_status_id and text when the link allows commenting. Optional password query param if the link is protected.

Path parameters

  • token string Required

    Share link token

Query parameters

  • password string

    Password when the link is protected

application/json

Body Required

  • guest_id string(uuid) Required
  • task_id string(uuid) Required
  • task_status_id string(uuid) Required
  • text string
  • checklist array[object]

Responses

  • 201 application/json

    Comment created

  • 400 application/json

    Missing required body fields

    Hide response attribute Show response attribute object
    • error string
  • 403 application/json

    Comments disabled for this share link

    Hide response attribute Show response attribute object
    • error string
POST /shared/playlists/{token}/comments
curl \
 --request POST 'http://api.example.com/shared/playlists/{token}/comments' \
 --header "Authorization: $API_KEY" \
 --header "Content-Type: application/json" \
 --data '{"guest_id":"string","task_id":"string","task_status_id":"string","text":"string","checklist":[{}]}'
Request examples
{
  "guest_id": "string",
  "task_id": "string",
  "task_status_id": "string",
  "text": "string",
  "checklist": [
    {}
  ]
}
Response examples (201)
{}
Response examples (400)
{
  "error": "string"
}
Response examples (403)
{
  "error": "string"
}